{
  "openapi": "3.0.3",
  "paths": {
    "/v2.0/admin/members": {
      "get": {
        "operationId": "get_admin_members",
        "summary": "List members",
        "description": "Returns all members for a given merchant. Merchant is pulled from the public API key for security reasons.<br><br>\n    Pagination is supported by passing limit and lastCustomerId values as query parameters. You will get a lastCustomerId value in the response of the previous request, which can be used for the next.",
        "parameters": [
          {
            "name": "limit",
            "required": true,
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "lastCustomerId",
            "required": true,
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Members"
        ]
      },
      "post": {
        "operationId": "create_admin_members",
        "summary": "Create a free-tier member",
        "description": "This endpoint is used to create a free tier member. You can also provide a credit value to add credits to the new members account.<br>\n    The `overrideSpendThreshold` parameter allows you to add customers to a spend based tier, and the `keepInSpendBasedTier` parameter<br>\n    ensures that the member won't be downgraded if they don't hit the spend minimum.<br><br>\n    NOTE: This endpoint will downgrade a customer specified to a lower tier if that is the tier provided to the endpoint!",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateFreeTierMember"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Members"
        ]
      }
    },
    "/v2.0/admin/members/{id}": {
      "get": {
        "operationId": "get_admin_members_ById",
        "summary": "Get a member",
        "description": "Returns a single member for a given merchant. Merchant is pulled from the public API key for security reasons.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number which you would like to retrieve.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Members"
        ]
      },
      "patch": {
        "operationId": "update_admin_members_ById",
        "summary": "Update a member",
        "description": "This endpoint is used to update a member. It takes a member ID and uses your public API key to match the customer to your account. As of now, all fields in the update schema are required, so it is not possible to update a single field at a time.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number which you would like to update.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateMemberDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Members"
        ]
      }
    },
    "/v2.0/admin/members/{id}/credits": {
      "get": {
        "operationId": "get_admin_members_ById_credits",
        "summary": "List a member's credits",
        "description": "Returns all credits for one customer. API key is used to match the customer to your account for security reasons. Ensure that the customer ID is included in the request path.<br><br>\n    Pagination is supported by passing limit and lastCreditEntry values as query parameters. You will get a lastCreditEntry value in the response of the previous request, which can be used for the next. Ensure that the lastCreditEntry value passed to the server is  encoded.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "The number of credits to return (for pagination).",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "lastCreditEntry",
            "required": false,
            "in": "query",
            "description": "The last credit entry from the previous request.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Credits"
        ]
      },
      "post": {
        "operationId": "create_admin_members_ById_credits",
        "summary": "Issue credits to a member",
        "description": "This method forwards the credit creation request to our backend. Returns the success status of the request against backend service. Like the other endpoints that make requests against our backend, the changes may not take effect immediately.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreditDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Credits"
        ]
      }
    },
    "/v2.0/admin/members/{id}/credits/expiration": {
      "patch": {
        "operationId": "update_admin_members_ById_credits_expiration",
        "summary": "Update a credit's expiration date",
        "description": "Changes the expiration date of a single credit ledger entry. The entry is identified by its sk\n    (in the form `${customerId}#${timestamp}`). The new expiration date is rounded down to the top\n    of the hour and must be more than 1 hour in the future; the entry's current expiration must\n    also be more than 1 hour away. If the customer has an active redemption code whose end date is\n    after the new expiration date, the request is rejected. This forwards to our backend.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCreditExpirationDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Credits"
        ]
      }
    },
    "/v2.0/admin/members/{id}/cancellation": {
      "post": {
        "operationId": "create_admin_members_ById_cancellation",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "overrideCancelPolicy",
            "required": false,
            "in": "query",
            "description": "Whether or not to override the default merchant cancellation policy. Defaults to true, meaning the customer will be immediately cancelled.",
            "schema": {
              "default": true,
              "type": "boolean"
            }
          },
          {
            "name": "source",
            "required": false,
            "in": "query",
            "description": "The source of the cancellation, either \"MERCHANT\" or \"FAILURE\". Defaults to \"MERCHANT\".",
            "schema": {
              "default": "MERCHANT",
              "enum": [
                "FAILURE",
                "MERCHANT"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Cancellation"
        ],
        "summary": "Request a membership cancellation"
      }
    },
    "/v2.0/admin/members/{id}/reactivation": {
      "post": {
        "operationId": "create_admin_members_ById_reactivation",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Reactivation"
        ],
        "summary": "Reactivate a membership"
      }
    },
    "/v2.0/admin/members/{id}/sbt": {
      "get": {
        "operationId": "get_admin_members_ById_sbt",
        "summary": "Get a member's periodic spend",
        "description": "Returns a single customers periodic spend. Includes monthly, quarterly, semi-annual, annual, and all-time spend.<br><br>\n    If the `data` field in the return body is undefined, the customer has no eligible SBT spend history (or the customer does not exist).<br><br>\n    You can use this endpoint to track a customers progress towards the next tier.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customerId to query.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/members/{id}/change-tier": {
      "post": {
        "operationId": "create_admin_members_ById_changeTier",
        "summary": "Change a member's tier",
        "description": "This endpoint allows merchants to upgrade or downgrade a customer by specifying a new tierId.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeTierDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Change Tier"
        ]
      }
    },
    "/v2.0/admin/members/{id}/change-renewal-date": {
      "post": {
        "operationId": "create_admin_members_ById_changeRenewalDate",
        "summary": "Change a member's renewal date",
        "description": "This endpoint allows merchants to change the renewal (next billing) date\nof a customer's paid subscription. The customer must be an active member\non a paid tier.\n\nNote: the change is applied asynchronously. A successful response means\nthe request was accepted — it may take a few moments before the new date\nis reflected on the subscription contract and the member record.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeRenewalDateDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Members"
        ]
      }
    },
    "/v2.0/admin/benefits": {
      "get": {
        "operationId": "get_admin_benefits",
        "summary": "List benefits",
        "description": "This endpoint will return all benefits for a merchant. It will return an array of benefits. Each benefit will have a `type` field that will identify the type of benefit.",
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Benefits"
        ]
      }
    },
    "/v2.0/admin/benefits/{type}": {
      "get": {
        "operationId": "get_admin_benefits_ByType",
        "summary": "Get a benefit",
        "description": "This endpoint will return one specific benefit given a benefit type. Note that the benefit type is a string character. For a list of all benefit types, look at the default type value in each schema.",
        "parameters": [
          {
            "name": "type",
            "required": true,
            "in": "path",
            "description": "The benefit type.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Benefits"
        ]
      },
      "patch": {
        "operationId": "update_admin_benefits_ByType",
        "summary": "Update a benefit",
        "description": "This endpoint will take a benefit type and any other values in the relevant schema and send a request to our backend to update the benefit with the new information. Keep in mind that, like with the POST method, this is a request against our backend. Thus, the effect will not be immediate.",
        "parameters": [
          {
            "name": "type",
            "required": true,
            "in": "path",
            "description": "The benefit identification name/type.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/SignupStoreCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/RecurringStoreCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/CreditsforOrdersDto"
                  },
                  {
                    "$ref": "#/components/schemas/AnniversaryCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/StoreCreditsforReferralDto"
                  },
                  {
                    "$ref": "#/components/schemas/FreeShippingDto"
                  },
                  {
                    "$ref": "#/components/schemas/MemberOnlyDiscountDto"
                  },
                  {
                    "$ref": "#/components/schemas/SignupDiscountDto"
                  },
                  {
                    "$ref": "#/components/schemas/MemberPricingDto"
                  },
                  {
                    "$ref": "#/components/schemas/EarlyAccessCampaignDto"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Benefits"
        ]
      }
    },
    "/v2.0/admin/merchant": {
      "get": {
        "operationId": "get_admin_merchant",
        "summary": "Get merchant settings",
        "description": "Returns all internal merchant information associated with the API key.",
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Merchant"
        ]
      },
      "patch": {
        "operationId": "update_admin_merchant",
        "summary": "Update merchant settings",
        "description": "Updates specific merchant settings, based on the provided fields. Fields not provided will not be updated.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateMerchantDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Merchant"
        ]
      }
    },
    "/v2.0/admin/webhooks": {
      "post": {
        "operationId": "create_admin_webhooks",
        "summary": "Register a webhook",
        "description": "Generates a security token and places an entry with the token and the callback URL in our backend. The token is used to verify that the request is coming from Inveterate within your app, when the callback URL is triggered. Ensure that you save the token.<br><br>\n    The callback URL will be triggered when one of the following events occurs:\n\n    `merchant.updated`\n    `merchant.reinstall`\n    `customer.created`\n    `customer.updated`\n    `customer.credits.updated`\n    `customer.ordered`\n    `customer.cancellation_requested`\n    `customer.confirmed_cancellation`",
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      },
      "get": {
        "operationId": "get_admin_webhooks",
        "summary": "List webhooks",
        "description": "Returns all webhooks for a given merchant. Merchant is pulled from the public API key for security reasons.",
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      },
      "delete": {
        "operationId": "delete_admin_webhooks",
        "summary": "Delete a webhook",
        "description": "Deletes a webhook for a given merchant. Merchant is pulled from the public API key for security reasons. The effects of this method are both immediate (data deleted from webhooks database) and eventual (request against backend service to confirm webhook deletion).",
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      }
    },
    "/v2.0/admin/tiers": {
      "get": {
        "operationId": "get_admin_tiers",
        "summary": "List tiers",
        "description": "Returns all tiers/segments for a given merchant. Merchant is pulled from the public API key for security reasons.",
        "parameters": [
          {
            "name": "includeBenefits",
            "required": false,
            "in": "query",
            "description": "Whether or not to include benefits in the response.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/tiers/{id}": {
      "get": {
        "operationId": "get_admin_tiers_ById",
        "summary": "Get a tier",
        "description": "Returns a single tier/segment for a given merchant. Merchant is pulled from the public API key for security reasons.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The tier segment ID.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "includeBenefits",
            "required": false,
            "in": "query",
            "description": "Whether or not to include benefits in the response.",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/tiers/{id}/benefits": {
      "get": {
        "operationId": "get_admin_tiers_ById_benefits",
        "summary": "List a tier's benefits",
        "description": "This endpoint will return all benefits for a merchant under a given tier. It will return an array of benefits. Each benefit will have a `type` field that will identify the type of benefit.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The tier segment ID.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/tiers/{id}/benefits/{type}": {
      "get": {
        "operationId": "get_admin_tiers_ById_benefits_ByType",
        "summary": "Get a tier's benefit",
        "description": "This endpoint will return one specific benefit given a benefit type and segment ID. Note that the benefit type is a string character. For a list of all benefit types, look at the default type value in each schema.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The tier segment ID.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "required": true,
            "in": "path",
            "description": "The benefit type.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      },
      "patch": {
        "operationId": "update_admin_tiers_ById_benefits_ByType",
        "summary": "Update a tier's benefit",
        "description": "This endpoint will take a benefit type, segment ID, and any other values in the relevant schema and send a request to our backend to update the benefit with the new information. Keep in mind that, like with the POST method, this is a request against our backend. Thus, the effect will not be immediate.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The tier segment ID.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "required": true,
            "in": "path",
            "description": "The benefit identification name/type.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/SignupStoreCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/RecurringStoreCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/CreditsforOrdersDto"
                  },
                  {
                    "$ref": "#/components/schemas/AnniversaryCreditsDto"
                  },
                  {
                    "$ref": "#/components/schemas/StoreCreditsforReferralDto"
                  },
                  {
                    "$ref": "#/components/schemas/FreeShippingDto"
                  },
                  {
                    "$ref": "#/components/schemas/MemberOnlyDiscountDto"
                  },
                  {
                    "$ref": "#/components/schemas/SignupDiscountDto"
                  },
                  {
                    "$ref": "#/components/schemas/MemberPricingDto"
                  },
                  {
                    "$ref": "#/components/schemas/EarlyAccessCampaignDto"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/tiers/{id}/campaigns": {
      "get": {
        "operationId": "get_admin_tiers_ById_campaigns",
        "summary": "List a tier's campaigns",
        "description": "Returns all campaigns belonging to a specific Tier identified by its `segmentId`",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The tier segment ID.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Tiers"
        ]
      }
    },
    "/v2.0/admin/webhook-subscriptions": {
      "post": {
        "operationId": "create_admin_webhookSubscriptions",
        "summary": "Create a webhook subscription",
        "description": "Creates a new webhook subscription for the merchant",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateWebhookSubscriptionDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      },
      "delete": {
        "operationId": "delete_admin_webhookSubscriptions",
        "summary": "Delete a webhook subscription",
        "description": "Removes an existing webhook subscription",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteWebhookSubscriptionDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      },
      "put": {
        "operationId": "update_admin_webhookSubscriptions",
        "summary": "Update a webhook subscription",
        "description": "Updates an existing webhook subscription configuration",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateWebhookSubscriptionDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      },
      "get": {
        "operationId": "get_admin_webhookSubscriptions",
        "summary": "List webhook subscriptions",
        "description": "Returns all webhook subscriptions for the merchant",
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Admin - Webhooks"
        ]
      }
    },
    "/v2.0/storefront/auth": {
      "post": {
        "operationId": "create_storefront_auth",
        "summary": "Authenticate a member",
        "description": "Authenticates a user and returns a JWT token. This token is used to authenticate the user for all other storefront requests. JWTs expire after 2 hours.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RequestAuthDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Storefront - Authentication"
        ]
      }
    },
    "/v2.0/storefront/members/{id}": {
      "get": {
        "operationId": "get_storefront_members_ById",
        "summary": "Get a member",
        "description": "Returns all member data for a given member that is a part of your store. Merchant is pulled from the public API key for security reasons. Make sure to include the customer ID in the request path.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Storefront - Members"
        ]
      }
    },
    "/v2.0/storefront/members/{id}/credits": {
      "get": {
        "operationId": "get_storefront_members_ById_credits",
        "summary": "List a member's credits",
        "description": "Returns all credits for one customer. API key is used to match the customer to your account for security reasons. Ensure that the customer ID is included in the request path.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "required": true,
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "lastCreditEntry",
            "required": true,
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned upon successful direct action to our database. Action is immediate.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Success",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Storefront - Credits"
        ]
      }
    },
    "/v2.0/storefront/members/{id}/credits/redemption": {
      "post": {
        "operationId": "create_storefront_members_ById_credits_redemption",
        "summary": "Redeem credits",
        "description": "Forwards a redemption request to the Inveterate backend. Returns the success status of the request against the backend service. Like the other endpoints that make requests against our backend, the changes may not take effect immediately.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreditDto"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Storefront - Redemption"
        ]
      }
    },
    "/v2.0/storefront/members/{id}/cancellation": {
      "post": {
        "operationId": "create_storefront_members_ById_cancellation",
        "summary": "Request a membership cancellation",
        "description": "This method forwards the cancellation creation request to our backend. Returns the success status of the request against backend service. Like the other endpoints that make requests against our backend, the changes may not take effect immediately.",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "The customer ID number.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "Request sent successfully",
                  "data": {
                    "id": 1,
                    "name": "John Doe"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Bad Request",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseBodyDto"
                },
                "example": {
                  "message": "ERROR: Internal error",
                  "data": {
                    "name": "err name",
                    "message": "err message"
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Storefront - Cancellation"
        ]
      }
    },
[...]
